! R}hCIvV
! Copyright (C) TOYODA Eizi, 2000.  All rights reserved.

module gt_args

    interface

        subroutine GtArgGet(ord, value, default)
            use iso_varying_string, only: VARYING_STRING
            integer, intent(in):: ord
            type(VARYING_STRING), intent(out):: value
            character(len = *), intent(in), optional:: default
        end subroutine

        integer function GtArgCount()
        end function

    end interface

contains

    type(VARYING_STRING) function GtoolArgument(ord, default) result(result)
        use iso_varying_string, only: VARYING_STRING
        integer, intent(in):: ord
        character(len = *), intent(in), optional:: default
        call GtArgGet(ord, result, default)
    end function

end module